Bug 433090 - poppler-ObjStream.patch erroneously dropped from poppler
poppler-ObjStream.patch erroneously dropped from poppler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 00:37 EST by Jindrich Novy
Modified: 2013-07-02 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 02:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2008-02-16 00:37:19 EST
Description of problem:
There was dropped ObjStream patch from poppler in revision 1.55, that causes
that getObjStream method is not defined in the public scope and makes it then
invisible for the applications that use it. One of these is pdftosrc, which is
part of pdftex.

This causes TeXLive build to fail. Please readd the poppler-ObjStream.patch,
which is still in poppler CVS back to fix this.

Version-Release number of selected component (if applicable):
poppler-0.6.4-2.fc9

How reproducible:
Always

Steps to Reproduce:
1. mock/koji build --scratch texlive
2.
3.
  
Actual results:
c++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -DHAVE_CONFIG_H  -I. -I. -I../..
-I./../..  -I../../../libs/obsdcompat -I../../../libs/obsdcompat/.. -I./
../../../libs/obsdcompat -I./../../../libs/obsdcompat/.. -c pdftosrc.cc
pdftosrc.cc: In function 'int main(int, char**)':
pdftosrc.cc:81: warning: deprecated conversion from string constant to 'char*'
pdftosrc.cc:87: warning: deprecated conversion from string constant to 'char*'
pdftosrc.cc:88: warning: deprecated conversion from string constant to 'char*'
pdftosrc.cc:93: warning: deprecated conversion from string constant to 'char*'
pdftosrc.cc:149: error: 'class XRef' has no member named 'getObjStr'
pdftosrc.cc:151: error: invalid use of incomplete type 'struct ObjectStream'
/usr/include/poppler/XRef.h:22: error: forward declaration of 'struct ObjectStream'
pdftosrc.cc:156: error: invalid use of incomplete type 'struct ObjectStream'
/usr/include/poppler/XRef.h:22: error: forward declaration of 'struct ObjectStream'


Expected results:
TeXLive builds

Additional info:
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/x86_64/texlive-2007-16.fc9.src.rpm/result/build.log
Comment 1 Jindrich Novy 2008-02-19 02:17:56 EST
The objstream patch is now reapplied, so that TeXLive builds ok now.

Note You need to log in before you can comment on or make changes to this bug.